PDF::API3::Compat::API2::Basic::TTF::Vhea(3)

NAME
PDF::API3::Compat::API2::Basic::TTF::Vhea - Vertical Header table

DESCRIPTION
This is a simple table with just standards specified instance variables

INSTANCE VARIABLES
    version
    Ascender
    Descender
    LineGap
    advanceHeightMax
    minTopSideBearing
    minBottomSideBearing
    yMaxExtent
    caretSlopeRise
    caretSlopeRun
    metricDataFormat
    numberOfVMetrics

METHODS

  $t->read
Reads the table into memory as instance variables

  $t->out($fh)
Writes the table to a file either from memory or by copying.

  $t->update
Updates various parameters in the hhea table from the hmtx table, assuming the "hmtx" table is dirty.

BUGS
None known

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.